using System;

internal sealed class Delegate609 : MulticastDelegate
{
	public extern void Invoke(object object_0);

	public static void smethod_0(object object_0, Delegate609 delegate609_1)
	{
		delegate609_1(object_0);
	}

	public extern Delegate609(object object_0, IntPtr intptr_0);

	static Delegate609()
	{
		Class10.smethod_13(typeof(Delegate609).TypeHandle);
	}

	internal static Delegate609 delegate609_0;
}
